Google Font*/
/*line 7-14 on "index.html file*/
/*we downloaded the font from "google fonts" and copied the link*/
body {
	font-family: "Opens Sans", sans-serif;
}

/*HIERARCHY*/
	/*PADDING -green color
	  BORDER  -light yellow color
	  MARGIN  -yellow orange color*/


/*----------------------------------------------*/

/*CSS RESET RULE*/
/*IMPORTANT:  To reset to zero the "margin", "padding" and box "sizing" this removes the
default to make sure that we will only use the specific space needed for our box*/

* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}
/*-------------------------------------------------------------------*/
/*REM*/
/*"rem" means root element's size*/
/*default "rem" is 16px*, 1 rem=16px/
/*what you will see in our dscussions for this is 12.8px is 80% of 16px default, when you inspect it's 0.8 rem is 80% of 1 rem */

/*we only set 1 padding, it will apply to all sides*/
/*you may also set padding 1 x 1 top, padding bottom, padding left and right
but not necessary one padding is enough*/

/*"nav" defines a set of navigatin link*/
nav {
	padding: 0.8rem;  /* this equals to 12.8px/80% of 1rem */
	margin-bottom: 2rem;
	border-bottom: 1px solid gray;
	list-style-type: none; /*removes "bullet"*/
}
/*-------------------------------------------------------------------*/
/*We used Multiple Selector here*/
	/*We used "inline" element here so the display will not occupy the entire line or space like "block" element*/
	/*we only set 1 padding, it will apply to all sides*/
nav .nav, nav .nav-logo {
	margin: 0.5rem;
	display: inline; /*to align the display*/
}

/*Call an "ID" using "#"*/
#intro {
	padding-left: 10%; /*This is 10% of the green "padding" as you can see on "inspect*/
	padding-right: 10%; /*This is 10% of the green "padding" as you can see on "inspect*/
	padding-top: 2rem;
	padding-bottom: 3rem;
	text-align: center;
	/*padding: 2rem 10% 3 rem top, left, right, bottom*/ /*This is the short cut of what we did if we don't want to use the above*/
}

/*Call a "CLASS" using "." or "full stop"*/
.header {
	text-align: center;
}

/*We used MULTIPLE COMBINATORE here*/
#intro h2, #intro p {
	margin-bottom: 1rem;
}

/*Why did we used DESCENDANT here, actually we can use #button but this is for readability*/
#intro button {
	color: white;
	font-weight: bold;
	background-color: #c2195b;
	border-radius: 25px;
	font-size: 1rem;
	padding: 1rem;
}

#succeed-info {
	padding-left: 10%;
	padding-right: 10%;
	padding-top: 2rem;
	padding-bottom: 3rem;
}

/*DESCENDANT*/
#succeed-info h2 {
	margin-bottom: 1rem;	
}

/*This targeted all "h3" DESCENDANTS*/
#succeed-info h3 {		
	text-align: center;
	margin-bottom: 1rem;
}

/*We called a "CLASS" here named -card- through "." or "dot" using DESCENDANT we called it's father first since father has an "ID" we will call it out using "#"* then call the "class" which is the "CHILD"*/

#succeed-info .card {
	/*NOTE:  "inlign-block" combo let's us set HEIGHT and WIDTH*/
	/*INLINE-BLOCK is coupled with WIDTH and HEIGHT*/
	display: inline-block;	/*we used INLINE and BLOCK at the same time*/
	min-height: 175px; /*we set it to minimum*/
	vertical-align: top; /*aligning the FIRST words or all elements*/
	width: 30%;
	margin-left: 0.5rem;
	margin-right: 0.5rem;
}

/*We directly go to footer since calling it out will not require us to use any path like parents or siblings*/
footer {
	padding: 0.7rem;
}

/*We used DESCENDANT selector*/
footer span {
	margin-right: 0.5rem;
	margin-left: 0.5rem;
	text-align: center;
}
/**/
/**/
/**/

#pre-footer {
	background-color: #002540;
	color: white;
	padding: 1rem;
}

#pre-footer h3 {
	display: inline-block;	/*we used INLINE and BLOCK at the same time*/
	vertical-align: top;
	
}

#pre-footer div {
	width: 20%;
	display: inline-block;
	margin-right: 0.5rem;
	margin-left: 0.5rem;
	
	
	


	


